### Enumeration

# Qmi LocOperationMode

since: 1.22

#### Declaration

    enum Qmi.LocOperationMode

#### Description [src]

Which operation mode to use.

Available since: 1.22

#### Members

`QMI_LOC_OPERATION_MODE_DEFAULT`

  Default.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_OPERATION_MODE_MSB`

  Mobile Station Based (MSB) A-GPS.

  - Value: `2`
  - Available since: 1.22
`QMI_LOC_OPERATION_MODE_MSA`

  Mobile Station Assisted (MSA) A-GPS.

  - Value: `3`
  - Available since: 1.22
`QMI_LOC_OPERATION_MODE_STANDALONE`

  Standalone.

  - Value: `4`
  - Available since: 1.22
`QMI_LOC_OPERATION_MODE_CELLID`

  Cell ID.

  - Value: `5`
  - Available since: 1.22
`QMI_LOC_OPERATION_MODE_WWAN`

  WWAN.

  - Value: `6`
  - Available since: 1.22

#### Type functions

###### qmi_loc_operation_mode_get_string

Gets the nickname string for the `QmiLocOperationMode` specified at `val`.

since: 1.22